Subject: [pim] Stephen Farrell's No Objection on draft-ietf-pim-explicit-rpf-vector-07: (with COMMENT)

From: "Stephen Farrell" <[email-masked]>
Date: Wed, 06 Jan 2016 09:58:01 -0800

Stephen Farrell has entered the following ballot position for
draft-ietf-pim-explicit-rpf-vector-07: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-pim-explicit-rpf-vector/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Please take the comments below with a pinch of salt - I'm
not sure I understood what this was specifying so I may be
off base below. (Mind you, this caveat is also a comment
of sorts;-)

abstract: "RP" could be interpreted as reverse path or
rendezvous point, suggest expanding this in the abstract.

section 7: I don't understand: "A router processing
'Explicit' or 'Loose' RPF Vectors MUST verify that the
order in which RPF Vectors types appear in the PIM Join
Attribute list received from its downstream PIM neighbors
are equal." Seems like a bad plan to have a MUST in such a
hard to grok sentence. Or is that just me? (Actually, that
entire paragraph is hard to get.)

- section 12: couldn't this allow one node to try DoS
another by including it in the vector? Isn't that worth
noting?

- please also respond the secdir review [1] which raised a
couple more points.

   [1] https://www.ietf.org/mail-archive/web/secdir/current/msg06295.html